%define upstream_name	 Module-Find
%define upstream_version 0.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Find and use installed modules in a (sub)category
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Module::Find lets you find and use modules in categories. This can be
very useful for auto-detecting driver or plugin modules. You can
differentiate between looking in the category itself or in all
subcategories.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%defattr(644,root,root,755)
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man*/*
%{perl_vendorlib}/Module

%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.170.0-2.mga10
+ Revision: 2236019
- Mageia 10 Mass Rebuild

* Mon Feb 17 2025 tv <tv> 0.170.0-1.mga10
+ Revision: 2149186
- update to 0.17

* Wed Aug 03 2022 tv <tv> 0.160.0-1.mga9
+ Revision: 1874901
- update to 0.16

* Mon Mar 21 2022 umeabot <umeabot> 0.150.0-3.mga9
+ Revision: 1812199
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 0.150.0-2.mga8
+ Revision: 1541465
- Mageia 8 Mass Rebuild

* Fri Dec 27 2019 tv <tv> 0.150.0-1.mga8
+ Revision: 1473877
- update to 0.15
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Dec 26 2019 tv <tv> 0.140.0-1.mga8
+ Revision: 1470067
- update to 0.14

* Wed Sep 19 2018 umeabot <umeabot> 0.130.0-4.mga7
+ Revision: 1269275
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.130.0-3.mga6
+ Revision: 1030010
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.130.0-2.mga6
+ Revision: 967365
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.130.0-1.mga6
+ Revision: 848745
- update to 0.13

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-3.mga5
+ Revision: 747579
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-2.mga5
+ Revision: 685428
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.120.0-1.mga5
+ Revision: 588491
- update to 0.12

* Fri Oct 18 2013 umeabot <umeabot> 0.110.0-3.mga4
+ Revision: 512981
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 369796
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.110.0-1.mga3
+ Revision: 255163
- update to 0.11

* Sat Jan 22 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 30848
- mageia rebuild
- imported package perl-Module-Find

